Subject: [bug#40190] Linux-Libre 5.6

From: Vagrant Cascadian <[email-masked]>
Date: Fri, 03 Apr 2020 16:28:07 -0700

On 2020-03-31, Vagrant Cascadian wrote:
> On 2020-03-31, Marius Bakke wrote:
>> Vagrant Cascadian <[email-masked]> writes:
>>
>>> On 2020-03-30, Vagrant Cascadian wrote:
>>>> And the second patch, switching to 5.5...
>>>
>>> And a third, rougher, less well tested patch switching to 5.6... which
>>> could obviously be squashed into the previous patches and maybe skip 5.5
>>> altogether.
>>
>> 5.5 is not an LTS kernel, so going straight to 5.6 sounds like the
>> right thing to do.  However...
>>
>>> diff --git a/gnu/packages/aux-files/linux-libre/5.5-arm.conf b/gnu/packages/aux-files/linux-libre/5.6-arm.conf
>>> similarity index 100%
>>> rename from gnu/packages/aux-files/linux-libre/5.5-arm.conf
>>> rename to gnu/packages/aux-files/linux-libre/5.6-arm.conf
...
>>
>> This does not seem right.  Surely there are _some_ configuration changes
>> in 5.6?
>
> Hence the "rough" patch.
>
> I honestly don't feel solid on all the configuration changes that need
> to happen, so haven't been particularly thorough on auditing those.
>
> Running through "make oldconfig" prompted me with many options about
> things I didn't really have a good grasp of, so the 5.5 changes at
> essentially just the 5.4*.conf copied to 5.5*.conf, and applying the
> copying the resulting .config from building the kernel into git...
>
> I could do the same for 5.6 again blindly taking the new defaults... or
> if someone could help with auditing the config updates, that would be
> great!

I pushed linux-libre 5.6 to master *without* setting it as the default
linux-libre version; only added linux-libre-arm64-generic-5.6 and
linux-libre-arm-generic-5.6 based on it.

Attached are the remaining patches to switch it to the default.

I still haven't thoroughly audited the config changes; this simply
copies 5.4-*.conf to 5.6-*.conf in the first patch, and in the second
patch updates them to 5.6 produced by building the package.

By splitting it into two patches, this allows diffing from the old 5.4
configs, but should maybe be squashed if this gets pushed to master.

Thanks for your review!

live well,
  vagrant